datangraphics

## Class GraphicsWithDataPointsAndPolyline

- java.lang.Object
- - datangraphics.GraphicsWithDataPointsAndPolyline

-     public class GraphicsWithDataPointsAndPolyline
      extends java.lang.Object

  A class producing a plot with data points and a polyline.
  Author:
    Siegmund Brandt.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphicsWithDataPointsAndPolyline(java.lang.String frametitle, java.lang.String filename, double[] xpl, double[] ypl, int nmark, double scalef, double[] datx, double[] daty, double[] datsx, double[] datsy, double[] datrho, java.lang.String textX, java.lang.String textY, java.lang.String caption)` Produces a plot with data points and a polyline.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphicsWithDataPointsAndPolyline

          public GraphicsWithDataPointsAndPolyline(java.lang.String frametitle,
                                           java.lang.String filename,
                                           double[] xpl,
                                           double[] ypl,
                                           int nmark,
                                           double scalef,
                                           double[] datx,
                                           double[] daty,
                                           double[] datsx,
                                           double[] datsy,
                                           double[] datrho,
                                           java.lang.String textX,
                                           java.lang.String textY,
                                           java.lang.String caption)

      Produces a plot with data points and a polyline.
      Parameters:
        `frametitle` - title of DatanGraphicsFrame; if frameTitle is blank the no DatanGraphicsFrame is initialized.
        `filename` - name of Postscript file - has to end with either ".ps" (for postscript) or ".eps" (for encapsulated postscript). If filename is blank, no file is initialized.
        `xpl` - x coordinates of polyline
        `ypl` - y coordinates of polyline
        `nmark` - form of polymarker symbolizing the data point (1: open circle, 2: closed circle, 3: open sqare, 4: closed sqare, 5: open diamond, 6: closed diamond, 7: +, 8: x. 9: *)
        `scalef` - scale factor; the diameter of the polymarker is 1% of the picture diagonal multiplied by this factor
        `datx` - x coordinate of data points
        `daty` - y coordinate of data points
        `datsx` - errors in x; error bar is drawn only if deltax > 0 and if its size would exceed the radius if the polymarker
        `datsy` - errors in y; error bar is drawn only if deltax > 0 and if its size would exceed the radius if the polymarker
        `datrho` - correlations between errors; covariance ellipse is not drawn if rho = 0 (drawing can be forced by giving nmark a negative sign)
        `textX` - text for x axis
        `textY` - text for y axis
        `caption` - text for caption of plot